Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365007 - [RFE] dump_volume_chains: migrate to jsonrpcvdscli
Summary: [RFE] dump_volume_chains: migrate to jsonrpcvdscli
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: vdsm
Classification: oVirt
Component: Tools
Version: ---
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ovirt-4.1.0-alpha
: 4.19.2
Assignee: Irit Goihman
QA Contact: Lukas Svaty
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-08 11:07 UTC by Sandro Bonazzola
Modified: 2017-02-01 14:55 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 14:55:19 UTC
oVirt Team: Infra
mperina: ovirt-4.1?
pstehlik: testing_plan_complete-
rule-engine: planning_ack?
mperina: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 62324 master NEW dump_volume_chains: migrate to jsonrpcvdscli 2016-09-11 08:38:23 UTC

Description Sandro Bonazzola 2016-08-08 11:07:10 UTC
Description of problem:
# vdsm-tool configure --force
/usr/lib/python2.7/site-packages/vdsm/tool/dump_volume_chains.py:28: DeprecationWarning: vdscli uses xmlrpc. since ovirt 3.6 xmlrpc is deprecated, please use vdsm.jsonrpcvdscli
  from vdsm import vdscli


Version-Release number of selected component (if applicable):
vdsm-python-4.18.999-374.git6f033fe.fc24.noarch

Comment 1 Yaniv Bronhaim 2016-08-09 07:35:25 UTC
some details for the issue: dump_volume_chains is a tool that uses vdscli to retrieve the output. as part of the work to eliminate all xmlrpc usages we need to change all places that uses vdscli module to jsonrpcvdscli.  vdsm-tool loads dump_volume_chains as part of the commands and therefore we see the deprecation warning each call to the tool

Comment 2 Martin Perina 2016-08-09 08:36:26 UTC
Retargeting to 4.1, when patch is ready, we can decide if it's worth to backport.

Comment 3 Lukas Svaty 2016-11-23 13:44:35 UTC
adding CodeChange, no qa process necessary other than basic sanity

Comment 4 Sandro Bonazzola 2016-12-12 13:59:42 UTC
The fix for this issue should be included in oVirt 4.1.0 beta 1 released on December 1st. If not included please move back to modified.

Comment 5 Lukas Svaty 2017-01-31 14:11:43 UTC
verified in vdsm-4.19.2-2.el7ev.x86_64


Note You need to log in before you can comment on or make changes to this bug.